Subject: [alpine-devel] Initial APKBUILD for stunnel

From: <[email-masked]>
Date: Sun, 8 Jul 2012 17:07:28 -0400

SSL wrapper for TCP connections.  See http://www.stunnel.org/

TODO: 
  needs Alpine style initscript.
  reasonable defaults in sample config file (is there a preferred directory for chroot jails?)

commit 8f4bfc56164419ecd3e7b91c77cf6d587b0cc16b
Author: Dean Takemori <[email-masked]>
Date:   Sat Jul 7 09:01:16 2012 -1000

    Add APKBUILD for stunnel to testing

diff --git a/testing/stunnel/APKBUILD b/testing/stunnel/APKBUILD
new file mode 100644
index 0000000..470db2a
--- /dev/null
+++ b/testing/stunnel/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Dean Takemori <[email-masked]>
+# Maintainer:
+pkgname=stunnel
+pkgver=4.53
+pkgrel=0
+pkgdesc="SSL encryption wrapper between network client and server."
+url="http://www.stunnel.org/"
+arch="all"
+license="GPL2+ with OpenSSL exception"
+depends="openssl"
+depends_dev="openssl-dev"
+makedepends="$depends_dev"
+subpackages="$pkgname-doc"
+install=""
+source="ftp://ftp.stunnel.org/stunnel/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+       local i
+       cd "$_builddir"
+       for i in $source; do
+               case $i in
+               *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+               esac
+       done
+}
+
+build() {
+       cd "$_builddir"
+       ./configure --prefix=/usr \
+               --sysconfdir=/etc \
+               --mandir=/usr/share/man \
+               --infodir=/usr/share/info \
+               --localstatedir=/var \
+               || return 1
+       make || return 1
+}
+
+package() {
+       cd "$_builddir"
+       make DESTDIR="$pkgdir" install || return 1
+        install -m644 tools/stunnel.license \
+               "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+
+       rm -f "$pkgdir"/usr/lib/stunnel/*.la
+}
+
+md5sums="ab3bfc915357d67da18c73f73610d593  stunnel-4.53.tar.gz"

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Mon, 9 Jul 2012 10:05:44 +0200

> directory for chroot jails?)

Applied. Thanks!

-nc

---